from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["This room serves as some sort of study or laboratory. Remains of failed experiments litter the floor, but the only thing of interest seems to be a cabinet in the corner."])
      setTag(e, "lFlagU", 1)
      return 1
